<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>Z:/Project/development/PSCIP/driver/pscip.mod.c Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<h1>Z:/Project/development/PSCIP/driver/pscip.mod.c</h1><a href="pscip_8mod_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#include &lt;linux/module.h&gt;</span>
<a name="l00002"></a>00002 <span class="preprocessor">#include &lt;linux/vermagic.h&gt;</span>
<a name="l00003"></a>00003 <span class="preprocessor">#include &lt;linux/compiler.h&gt;</span>
<a name="l00004"></a>00004 
<a name="l00005"></a>00005 <a class="code" href="pscip_8mod_8c.html#59ae061e50f755cbc9dbde3c6688273a">MODULE_INFO</a>(vermagic, VERMAGIC_STRING);
<a name="l00006"></a>00006 
<a name="l00007"></a>00007 <span class="keyword">struct </span>module __this_module
<a name="l00008"></a>00008 <a class="code" href="pscip_8mod_8c.html#804f230e6220e338767d15b94fc5801d">__attribute__</a>((section(".gnu.linkonce.this_module"))) = {
<a name="l00009"></a>00009  .name = KBUILD_MODNAME,
<a name="l00010"></a>00010  .init = <a class="code" href="pscipacq_8c.html#0833789462b1cddf0b1e59c9daab88e8">init_module</a>,
<a name="l00011"></a>00011 <span class="preprocessor">#ifdef CONFIG_MODULE_UNLOAD</span>
<a name="l00012"></a>00012 <span class="preprocessor"></span> .exit = <a class="code" href="pscipacq_8c.html#56064044d42fabf92e88abb2c4a61c79">cleanup_module</a>,
<a name="l00013"></a>00013 <span class="preprocessor">#endif</span>
<a name="l00014"></a>00014 <span class="preprocessor"></span>};
<a name="l00015"></a>00015 
<a name="l00016"></a>00016 <span class="keyword">static</span> <span class="keyword">const</span> <span class="keyword">struct </span>modversion_info ____versions[]
<a name="l00017"></a>00017 __attribute_used__
<a name="l00018"></a>00018 <a class="code" href="pscip_8mod_8c.html#804f230e6220e338767d15b94fc5801d">__attribute__</a>((section("__versions"))) = {
<a name="l00019"></a>00019  { 0x4d80e3fe, <span class="stringliteral">"struct_module"</span> },
<a name="l00020"></a>00020  { 0x89b301d4, <span class="stringliteral">"param_get_int"</span> },
<a name="l00021"></a>00021  { 0x98bd6f46, <span class="stringliteral">"param_set_int"</span> },
<a name="l00022"></a>00022  { 0x806d5133, <span class="stringliteral">"param_array_get"</span> },
<a name="l00023"></a>00023  { 0x89cef6fb, <span class="stringliteral">"param_array_set"</span> },
<a name="l00024"></a>00024  { 0x9a91f2eb, <span class="stringliteral">"pci_iomap"</span> },
<a name="l00025"></a>00025  { 0xa797d124, <span class="stringliteral">"pci_bus_read_config_dword"</span> },
<a name="l00026"></a>00026  { 0xdd4125c0, <span class="stringliteral">"pci_bus_read_config_byte"</span> },
<a name="l00027"></a>00027  { 0x72e812e3, <span class="stringliteral">"pci_bus_write_config_word"</span> },
<a name="l00028"></a>00028  { 0x2b942f5c, <span class="stringliteral">"pci_bus_read_config_word"</span> },
<a name="l00029"></a>00029  { 0x1d01aa87, <span class="stringliteral">"pci_enable_device"</span> },
<a name="l00030"></a>00030  { 0x3d4682f6, <span class="stringliteral">"cdev_add"</span> },
<a name="l00031"></a>00031  { 0xe02a50b4, <span class="stringliteral">"cdev_init"</span> },
<a name="l00032"></a>00032  { 0xc192d491, <span class="stringliteral">"unregister_chrdev"</span> },
<a name="l00033"></a>00033  { 0x12da5bb2, <span class="stringliteral">"__kmalloc"</span> },
<a name="l00034"></a>00034  { 0x29537c9e, <span class="stringliteral">"alloc_chrdev_region"</span> },
<a name="l00035"></a>00035  { 0xd8e484f0, <span class="stringliteral">"register_chrdev_region"</span> },
<a name="l00036"></a>00036  { 0xbc2b8a99, <span class="stringliteral">"__pci_register_driver"</span> },
<a name="l00037"></a>00037  { 0x60a4461c, <span class="stringliteral">"__up_wakeup"</span> },
<a name="l00038"></a>00038  { 0x2da418b5, <span class="stringliteral">"copy_to_user"</span> },
<a name="l00039"></a>00039  { 0xf2a644fb, <span class="stringliteral">"copy_from_user"</span> },
<a name="l00040"></a>00040  { 0x9c47dbe1, <span class="stringliteral">"pci_unregister_driver"</span> },
<a name="l00041"></a>00041  { 0x7485e15e, <span class="stringliteral">"unregister_chrdev_region"</span> },
<a name="l00042"></a>00042  { 0x37a0cba, <span class="stringliteral">"kfree"</span> },
<a name="l00043"></a>00043  { 0x1b7d4074, <span class="stringliteral">"printk"</span> },
<a name="l00044"></a>00044 };
<a name="l00045"></a>00045 
<a name="l00046"></a>00046 <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">char</span> __module_depends[]
<a name="l00047"></a>00047 __attribute_used__
<a name="l00048"></a>00048 <a class="code" href="pscip_8mod_8c.html#804f230e6220e338767d15b94fc5801d">__attribute__</a>((section(<span class="stringliteral">".modinfo"</span>))) =
<a name="l00049"></a>00049 <span class="stringliteral">"depends="</span>;
<a name="l00050"></a>00050 
<a name="l00051"></a>00051 <a class="code" href="pscip_8mod_8c.html#1fbe303cc0e488dde79fdaf19494571b">MODULE_ALIAS</a>(<span class="stringliteral">"pci:v00001498d00003064sv*sd*bc*sc*i*"</span>);
<a name="l00052"></a>00052 
<a name="l00053"></a>00053 <a class="code" href="pscip_8mod_8c.html#59ae061e50f755cbc9dbde3c6688273a">MODULE_INFO</a>(srcversion, <span class="stringliteral">"8CF7A35E4ADDA30A309305E"</span>);
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Dec 5 17:49:43 2008 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.7.1 </small></address>
</body>
</html>
